<?php
/**
 * The template part for displaying audio post
 *
 * @package VW Wedding 
 * @subpackage vw_wedding
 * @since VW Wedding 1.0
 */
?>
<?php 
  $vw_wedding_archive_year  = get_the_time('Y'); 
  $vw_wedding_archive_month = get_the_time('m'); 
  $vw_wedding_archive_day   = get_the_time('d'); 
?>
<?php
  $content = apply_filters( 'the_content', get_the_content() );
  $audio = false;

  // Only get audio from the content if a playlist isn't present.
  if ( false === strpos( $content, 'wp-playlist-script' ) ) {
    $audio = get_media_embedded_in_content( $content, array( 'audio' ) );
  }
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <div class="post-main-box">
    <div class="box-image">
      <?php
        if ( ! is_single() ) {
        // If not a single post, highlight the audio file.
        if ( ! empty( $audio ) ) {
          foreach ( $audio as $audio_html ) {
            echo '<div class="entry-audio">';
              echo $audio_html;
            echo '</div><!-- .entry-audio -->';
          }
        };
        };
      ?>
    </div>
    <h2 class="section-title"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php the_title_attribute(); ?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
    <?php if(get_theme_mod('vw_wedding_toggle_postdate',true)==1 || get_theme_mod('vw_wedding_toggle_author',true)==1 || get_theme_mod('vw_wedding_toggle_comments',true)==1){ ?> 
    <div class="post-info">
      <?php if(get_theme_mod('vw_wedding_toggle_postdate',true)==1){ ?> 
        <i class="fas fa-calendar-alt"></i><span class="entry-date"><a href="<?php echo esc_url( get_day_link( $vw_wedding_archive_year, $vw_wedding_archive_month, $vw_wedding_archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span>
      <?php } ?>

      <?php if(get_theme_mod('vw_wedding_toggle_author',true)==1){ ?> 
        <i class="far fa-user"></i><span class="entry-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_author(); ?></span></a></span>
      <?php } ?>

      <?php if(get_theme_mod('vw_wedding_toggle_comments',true)==1){ ?> 
        <i class="fa fa-comments" aria-hidden="true"></i><span class="entry-comments"><?php comments_number( __('0 Comment','vw-wedding'), __('0 Comments','vw-wedding'), __('% Comments','vw-wedding') ); ?> </span>
      <?php } ?>
    </div>
    <?php }?>
    <div class="new-text">
      <div class="entry-content">
        <p>
          <?php $vw_wedding_theme_lay = get_theme_mod( 'vw_wedding_excerpt_settings','Excerpt');
          if($vw_wedding_theme_lay == 'Content'){ ?>
            <?php the_content(); ?>
          <?php }
          if($vw_wedding_theme_lay == 'Excerpt'){ ?>
            <?php if(get_the_excerpt()) { ?>
              <?php $excerpt = get_the_excerpt(); echo esc_html( vw_wedding_string_limit_words( $excerpt, esc_attr(get_theme_mod('vw_wedding_excerpt_number','30')))); ?> <?php echo esc_html(get_theme_mod('vw_wedding_excerpt_suffix',''));?>
            <?php }?>
          <?php }?>
        </p>
      </div>
    </div>
    <?php if( get_theme_mod('vw_wedding_button_text','Read More') != ''){ ?>
      <div class="content-bttn">
        <a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small hvr-sweep-to-right" title="<?php esc_attr_e( 'Read More','vw-wedding' ); ?>"><?php echo esc_html(get_theme_mod('vw_wedding_button_text',__('Read More','vw-wedding')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('vw_wedding_button_text',__('Read More','vw-wedding')));?></span></a>
      </div>
    <?php } ?>
  </div>
</article>